/// <reference types="node" />
import { SignedZeroExTransaction } from '@0x/types';
import { BigNumber } from '@0x/utils';
import { SignedTECApproval, TECSignatureType } from './index';
export declare class ApprovalFactory {
    private readonly _privateKey;
    private readonly _verifyingContractAddress;
    constructor(privateKey: Buffer, verifyingContractAddress: string);
    newSignedApproval(transaction: SignedZeroExTransaction, approvalExpirationTimeSeconds: BigNumber, signatureType?: TECSignatureType): SignedTECApproval;
}
//# sourceMappingURL=approval_factory.d.ts.map