/// <reference types="node" />
import { SignedZeroExTransaction, ZeroExTransaction } from '@0x/types';
import { BigNumber } from '@0x/utils';
export declare const hashUtils: {
    getApprovalHashBuffer(transaction: SignedZeroExTransaction, approvalExpirationTimeSeconds: BigNumber): Buffer;
    getApprovalHashHex(transaction: SignedZeroExTransaction, approvalExpirationTimeSeconds: BigNumber): string;
    getTransactionHashBuffer(transaction: SignedZeroExTransaction | ZeroExTransaction): Buffer;
    getTransactionHashHex(transaction: SignedZeroExTransaction | ZeroExTransaction): string;
};
//# sourceMappingURL=hash_utils.d.ts.map