/// <reference types="node" />
import { SignedZeroExTransaction } from '@0x/types';
import { TECSignatureType } from './index';
export declare class TECTransactionFactory {
    private readonly _signerBuff;
    private readonly _verifyingContractAddress;
    private readonly _privateKey;
    constructor(privateKey: Buffer, verifyingContractAddress: string);
    newSignedTECTransaction(data: string, signatureType?: TECSignatureType): SignedZeroExTransaction;
}
//# sourceMappingURL=tec_transaction_factory.d.ts.map