import { SignedZeroExTransaction } from '@0x/types';
import { BigNumber } from '@0x/utils';
export interface TECApproval {
    transaction: SignedZeroExTransaction;
    approvalExpirationTimeSeconds: BigNumber;
}
export interface SignedTECApproval extends TECApproval {
    signature: string;
}
export declare enum TECSignatureType {
    Illegal = 0,
    EIP712 = 1,
    EthSign = 2,
    NSignatureTypes = 3
}
//# sourceMappingURL=types.d.ts.map